lkml.org 
[lkml]   [2015]   [May]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 4/3] perf report: Show error message for incompatible UI request
Em Mon, May 11, 2015 at 10:46:23PM +0900, Namhyung Kim escreveu:
> Currently --header, --header-only and --threads/-T options are supported
> on stdio mode only. Show warning if user passes one of --tui or --gtk
> option with these like below:
>
> $ perf report -T --tui
> Error: --threads option cannot be used with --tui
>
> usage: perf report [<options>]
>
> -T, --threads Show per-thread event counters
> --tui Use the TUI interface
>
> Requested-by: Arnaldo Carvalho de Melo <acme@kernel.org>
> Signed-off-by: Namhyung Kim <namhyung@kernel.org>

So thanks for that! Can you please check that it applies on top of my
perf/core branch? I had already applied your patch :-\ Just pushed the
branch, should be at git.kernel.org soon.

- Arnaldo

> ---
> tools/perf/builtin-report.c | 17 ++++++++++++++++-
> 1 file changed, 16 insertions(+), 1 deletion(-)
>
> diff --git a/tools/perf/builtin-report.c b/tools/perf/builtin-report.c
> index 08a4246d6b62..6ac2c7a01a63 100644
> --- a/tools/perf/builtin-report.c
> +++ b/tools/perf/builtin-report.c
> @@ -815,9 +815,24 @@ repeat:
> }
>
> /* Force tty output for header output and per-thread stat. */
> - if (report.header || report.header_only || report.show_threads)
> + if (report.header || report.header_only || report.show_threads) {
> use_browser = 0;
>
> + if (report.use_tui || report.use_gtk) {
> + pr_err("Error: %s option cannot be used with %s\n",
> + report.header_only ? "--header-only" :
> + report.header ? "--header" : "--threads",
> + report.use_tui ? "--tui" : "--gtk");
> +
> + parse_options_usage(report_usage, options,
> + report.header_only ? "header-only" :
> + report.header ? "header": "threads", 0);
> + parse_options_usage(NULL, options,
> + report.use_tui ? "tui" : "gtk", 0);
> + goto error;
> + }
> + }
> +
> if (strcmp(input_name, "-") != 0)
> setup_browser(true);
> else
> --
> 2.4.0


\
 
 \ /
  Last update: 2015-05-11 16:41    [W:0.067 / U:2.776 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site